Bug 1308590 - (CVE-2016-1526) CVE-2016-1526 graphite2: Out-of-bounds read vulnerability in TfUtil:LocaLookup
CVE-2016-1526 graphite2: Out-of-bounds read vulnerability in TfUtil:LocaLookup
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160205,repo...
: Reopened, Security
Depends On: 1308591 1309052 1309053
Blocks: 1305678
  Show dependency treegraph
 
Reported: 2016-02-15 09:57 EST by Adam Mariš
Modified: 2016-10-28 09:19 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A vulnerability has been discovered in Graphite2. An attacker able to trick an unsuspecting user into opening specially crafted font files in an application using Graphite2 could exploit these flaws to cause the application to crash or, potentially, execute arbitrary code with the privileges of the application.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-28 09:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-15 09:57:30 EST
It was found that specially crafted font can cause an out-of-bounds read potentially resulting in an information leak or denial of service. An attacker can provide a malicious font to trigger this vulnerability. When reading an invalid font where the loca table size is set to 0 an out of bounds read will occur.

External Reference:

http://www.talosintel.com/reports/TALOS-2016-0061/
Comment 1 Adam Mariš 2016-02-15 09:58:03 EST
Created graphite2 tracking bugs for this issue:

Affects: fedora-all [bug 1308591]
Comment 3 errata-xmlrpc 2016-04-05 15:10:02 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0594 https://rhn.redhat.com/errata/RHSA-2016-0594.html

Note You need to log in before you can comment on or make changes to this bug.